@font-face {
  font-family: BlueSky;
  src: url(BlueSky.woff);
}
header {
  background-color: white;
  padding: min(2.5em, 4%);
  border-radius: 10px;
  text-align: center;
  box-shadow: 2px 4px lightgrey;
  grid-column: 1 / span 2;
}
h1 {
  color: #00a1e9;
  background-color: white;
  padding: min(2.5em, 4%);
  text-align: center;
  border-radius: 10px;
  font-family: BlueSky, verdana;
  font-size: 400%;
}
h2 {
  color: #00a1e9;
  background-color: white;
  padding: min(2.5em, 4%);
  box-shadow: 2px 4px lightgrey;
  text-align: center;
  border-radius: 10px;
  font-family: BlueSky, verdana;
  font-size: 300%;
}
h3 {
  color: #00a1e9;
  background-color: white;
  padding: min(2.5em, 4%);
  text-align: center;
  border-radius: 10px;
  font-family: BlueSky, verdana;
  font-size: 300%;
  box-shadow: 2px 4px lightgrey;
}
p {
  color: grey;
  background-color: white;
  padding: min(2.5em, 4%);
  text-align: center;
  font-family: BlueSky, verdana;
  border-radius: 10px;
  box-shadow: 2px 4px lightgrey;
  width: auto;
  max-width: 75%;
  font-size: xx-large;
  margin: auto;
}
button {
  color: #00a1e9;
  background-color: white;
  font-family: BlueSky, verdana;
  border-radius: 10px;
  box-shadow: 2px 4px lightgrey;
  position: relative;
  left: 1px;
  cursor: pointer;
  width: 50%;
  height: 20%;
  transition: all 0.1s ease;
}
button:active {
  transform: translate(2px, 4px);
  box-shadow: 0 0 0;
}
main {
  padding: min(2.5em, 4%);
  grid-column: 1;
}
nav {
  color: #00a1e9;
  font-family: BlueSky, verdana;
  border-radius: 10px;
  text-align: center;
}
footer {
  background-color: white;
  padding: min(2.5em, 4%);
  margin: none;
  text-align: center;
  border-radius: 10px;
  color: white;
  box-shadow: 2px 4px lightgrey;
  grid-column: 1 / span 2;
}
aside {
  padding: min(2.5em, 4%);
  margin-top: 60px;
  margin-right: 20px;
  height: 145dvh;
  background-color: skyblue;
  overflow-y: auto;
  border: 3px solid white;
  border-radius: 10px;
  box-shadow: 2px 4px lightgrey;
  grid-column: 2;
}
body {
  background-color: #87ceeb;
  grid-template-columns: 70% 30%;
  background-image: url(images/logo.png);
  background-repeat: no-repeat;
  background-position: center;
  background-attachment: fixed;
  background-size: contain;
}
img {
  border-radius: 10px;
}
div {
  text-align: center;
}
.btn-img {
  display: inline-block;
  position: relative;
  overflow: hidden;
  border-radius: 10px;
  box-shadow: 2px 4px #659bb0;
  max-width: 45%;
  aspect-ratio: 16 / 9;
  transition: all 0.1s ease;
  margin: 25px;
  animation-name: fadeSlideUp;
  animation-duration: 1s;
  animation-timing-function: ease-out;
}
.btn-img img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
  transform-origin: center;
  transition: all 0.1s ease;
}
.btn-img:hover {
  transform: scale(1.05);
}
.btn-img:hover img {
  transform: scale(1.2);
}
.btn-img:active {
  left: 2px;
  top: 4px;
  box-shadow: 0 0 0;
}
.btn-container {
  display: flex;
  justify-content: center;
}
.btn-text {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: white;
  font-size: 2rem;
  font-family: BlueSky, verdana;
  text-shadow: 2px 2px 4px black;
  pointer-events: none;
}
.new-page {
  display: inline-block;
  font-size: 150%;
  padding: min(2.5em, 4%);
  cursor: pointer;
  border-radius: 20px;
  background-color: white;
  color: #00a1e9;
  box-shadow: 2px 4px lightgrey;
  transition: all 0.1s ease;
  font-family: BlueSky, verdana;
  text-decoration: none;
}
.new-page:hover {
  scale: 1.05;
}
.new-page:active {
  transform: translate(2px, 4px);
  box-shadow: 0 0 0;
}
.nav-button {
  background-color: skyblue;
  box-shadow: 1px 2px #00a1e9;
  color: white;
  width: 20%;
  display: inline-block;
  cursor: pointer;
  border-radius: 20px;
  transition: 0.1s ease;
  text-decoration: none;
  font-size: 125%;
  transition: all 0.1s ease;
}
.nav-button:hover {
  scale: 1.05;
}
.nav-button:active {
  transform: translate(1px, 2px);
  box-shadow: 0 0 0;
}
.back-button {
  display: block;
  margin: auto;
  text-align: center;
  font-size: 175%;
  color: #00a1e9;
  padding: min(1.25em, 2%);
  text-decoration: none;
  background-color: white;
  font-family: BlueSky, verdana;
  border-radius: 10px;
  box-shadow: 2px 4px lightgrey;
  cursor: pointer;
  width: 30%;
  height: 10%;
  transition: all 0.1s ease;
}
.back-button:hover {
  scale: 1.05;
}
.back-button:active {
  transform: translate(2px, 4px);
  box-shadow: 0 0 0;
}
.img-desc {
  color: grey;
  background-color: white;
  padding: min(2.5em, 4%);
  text-align: center;
  font-family: BlueSky, verdana;
  font-size: 150%;
  border-radius: 10px;
  box-shadow: 2px 4px lightgrey;
  max-width: 50%;
  text-align: center;
  margin: auto;
}
.aside-img {
  display: block;
  cursor: pointer;
  text-align: center;
  transition: all 0.1s ease;
  overflow: hidden;
  width: 70%;
  margin: auto;
  animation-name: fadeSlideUp;
  animation-duration: 1s;
  animation-timing-function: ease-out;
  box-shadow: 2px 4px #00a1e9;
  border-radius: 10px;
}
.aside-img:hover {
  scale: 1.05;
}
.aside-img img {
  max-width: 100%;
  display: block;
  object-fit: cover;
  object-position: center;
  transform-origin: center;
  transition: all 0.1s ease;
}
.aside-img img:hover {
  scale: 1.2;
}
.aside-title {
  display: block;
  font-size: 150%;
  padding: min(2.5em, 4%);
  border-radius: 20px;
  background-color: white;
  color: #00a1e9;
  box-shadow: 2px 4px lightgrey;
  transition: all 0.1s ease;
  font-family: BlueSky, verdana;
  margin: auto;
  width: 50%;
}
.logo {
  animation-name: pulse;
  animation-duration: 3s;
  animation-iteration-count: infinite;
  animation-timing-function: cubic-bezier(0.445, 0.05, 0.55, 0.95);
}
.gallery-img {
  position: relative;
  animation-name: fadeSlideUp;
  animation-duration: 1s;
  animation-timing-function: ease-out;
}
@media (max-width: 900px) {
  aside {
    grid-column: 1 / -1;
    grid-row: 3;

    margin: 20px 0 0;
    height: auto;
  }
  main {
    grid-column: 1 / -1;
    margin: 20px;
  }
  h1{
    width: 100%;
  }
  h2{
    width: 100%;
  }
  h3{
    width: 100%;
  }
  h4{
    width: 100%;
  }
  p{
    width: 100%;
  }
  }
@keyframes pulse {
  50% {
    transform: scale(1.1, 1.1);
  }
}
@keyframes fadeSlideUp {
  from {
    transform: translateY(5%);
  }
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
img[data-src] {
    opacity: 0;
    transition: opacity 0.5s ease;
    background: #e0e0e0;
}

img.loaded {
    opacity: 1;
}
.gallery-link {
    display: inline-block;
    position: relative;
    cursor: pointer;
}
.sale-marker {
  position: absolute;
  top: 7.5%;
  left: 32.5%;
  transform: translate(-50%, -50%) rotate(-20deg);
  color: white;
  font-size: 1.5em;
  font-family: verdana;
  background-color: red;
  pointer-events: none;
  padding: min(0.625em 2%);
  border-radius: 5px;
}
